<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: guest_tracking_admin.php
| CVS Version: 1.01 
| Author: skpacman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."guest_tracking_panel/infusion_db.php";

if (!checkrights("GTP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."guest_tracking_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."guest_tracking_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."guest_tracking_panel/locale/German.php";
}

//get on or off setting
$onoff_result = dbquery("SELECT * FROM ".GTP_SETTINGS." WHERE type = 'onoff'");
$onoff = dbarray($onoff_result);

//set error based on $_GET['error']
if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	//changed state of system
	if ($_GET['error'] == 0) {$message = $locale['gtp_1000'].$onoff['setting'];}
	//error changing state of system
	if ($_GET['error'] == 1) {$message = $locale['gtp_1001'];}
	//deleted record(s)
	if ($_GET['error'] == 2) {$message = $locale['gtp_1002'];}
	//error deleting record(s)
	if ($_GET['error'] == 3) {$message = $locale['gtp_1003'];}
	// Message after Ban 
	if ($_GET['error'] == 4) {$message = $locale['gtp_1004'];}
}

//display error set above
if (isset($message)) {
	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
}

//if changing state of tracking system
if (isset($_POST['onoff'])){
	  //stripinput added by Fangree_Craig
      $saveonoff_result = dbquery("UPDATE ".GTP_SETTINGS." SET setting = '".stripinput($_POST['onoff'])."' WHERE type = 'onoff'"); 
      if (!$saveonoff_result) { $error = 1; }
      else { $error = 0; }
      redirect(FUSION_SELF.$aidlink."&error=".$error);
}

opentable($locale['gtp_0001']);

if ($onoff['setting'] == $locale['gtp_on']){
	$onoff_link = $locale['gtp_off'];
} else {
	$onoff_link = $locale['gtp_on'];
}

//begin main table and show on/off switch
echo "<table border='0' width='100%' cellpadding='2' cellspacing='2'>
<TR><TD colspan='2'><CENTER>".$locale['gtp_0012']." <B>".$onoff['setting']."</B>.<BR>
		<form name='onoff' method='post' action='".FUSION_SELF.$aidlink."'>
		<input type='hidden' name='onoff' id='onoff' value='".$onoff_link."'>
		<input type='submit' class='button' id='onoff_submit' name='onoff_submit' value='".$locale['gtp_0013']." ".$onoff_link."'>
		</form>
</CENTER></TD></TR>";
//horizontal rule
echo "<TR><TD colspan='2'><HR></HR></TD></TR>";
echo "<TR><TD valign='top' width='200' class='tbl1'><CENTER>
<a href='".FUSION_SELF.$aidlink."' class='button'>".$locale['gtp_0015']."</a>
<a href='".FUSION_SELF.$aidlink."&allfrom=1' class='button'>".$locale['gtp_0008']."</a>
<a href='".FUSION_SELF.$aidlink."&allfrom=7' class='button'>".$locale['gtp_0009']."</a>
<a href='".FUSION_SELF.$aidlink."&allfrom=31' class='button'>".$locale['gtp_0010']."</a>
<a href='".FUSION_SELF.$aidlink."&allrecords' class='button'>".$locale['gtp_0011']."</a>
<a href='".FUSION_SELF.$aidlink."&delrecord&type=all' class='button'><B><font color='red'>".$locale['gtp_0007']."</b></font></a>
<a href='".FUSION_SELF.$aidlink."&searchip' class='button'>".$locale['gtp_0014']."</a>
</center></TD></TR><TR>";


if (!isset($_GET['allrecords']) && 
	!isset($_GET['allfrom']) && 
	!isset($_GET['searchip']) && 
	!isset($_GET['viewip']) &&
	!isset($_GET['deleteall']) &&
	!isset($_GET['delrecord'])){
	$last10_result = dbquery("SELECT * FROM ".GTP_GUESTS." ORDER BY id DESC LIMIT 10");
	$num_cols = "1";
	$col_count = "0";
	$num_rows = "2";
	$row_count = "0";
echo "<table width='100%' border='0' cellpadding='2' cellspacing='2'>
<TR><TD colspan='7'><CENTER>".$locale['gtp_0016']."</CENTER></TD></TR>";
	while ($last10 = dbarray($last10_result)){
		if ($col_count==0) { echo "<tr "; 
		if ($row_count==0) { echo "class='tbl1'>"; }
		if ($row_count==1) { echo "class='tbl2'>"; }
		}
		$uname_result = dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_ip = '".$last10['ip']."'");
		$uname = dbarray($uname_result);
		if ($uname['user_name'] == ""){
		$uname['user_name'] = "Guest";
		}
		echo "<TD>".$uname['user_name']."</TD>
		<TD><a href='https://projecthoneypot.org/ip_".$last10['ip']."' target='_blank'>".$last10['ip']."</a></TD>
		<TD><a href='".$last10['page']."'>".$last10['page']."</a></TD>
		<TD>".$last10['time']."</TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&viewip=".$last10['ip']."'>
		<img src='".INFUSIONS."guest_tracking_panel/images/search_ip.png' alt='Search for this IP' title='Search for this IP'>
		</a></TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&delrecord=".$last10['ip']."&type=ip'>
		<img src='".INFUSIONS."guest_tracking_panel/images/delete_ip.png' alt='Delete all from this IP' title='Delete all from this IP'>
		</a></TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&delrecord=".$last10['id']."&type=id'>
		<img src='".INFUSIONS."guest_tracking_panel/images/delete.png' alt='Delete only this record' title='Delete only this record'>
		</a></TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&ban=".$last10['ip']."'>
		Ban
		</a></TD>";
		$col_count++;

		if ($col_count >= $num_cols){
			echo "</tr>";
			$col_count=0;
			$row_count++;
		}
		
		if ($row_count >= $num_rows){
			$row_count=0;		
		}	
	}
	echo "</TABLE>";
}

if (isset($_GET['allrecords'])){
	$allrecords_result = dbquery("SELECT * FROM ".GTP_GUESTS." ORDER BY id ASC");
	$num_cols = "1";
	$col_count = "0";
	$num_rows = "2";
	$row_count = "0";
echo "<table width='100%' border='0' cellpadding='2' cellspacing='2'>
<TR><TD colspan='7'><CENTER>".$locale['gtp_0017']."</CENTER></TD></TR>";
	while ($allrecords = dbarray($allrecords_result)){
		if ($col_count==0) { echo "<tr "; 
		if ($row_count==0) { echo "class='tbl1'>"; }
		if ($row_count==1) { echo "class='tbl2'>"; }
		}
		$uname_result = dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_ip = '".$allrecords['ip']."'");
		$uname = dbarray($uname_result);
		if ($uname['user_name'] == ""){
		$uname['user_name'] = "Guest";
		}
		echo "<TD>".$uname['user_name']."</TD>
		<TD><a href='https://projecthoneypot.org/ip_".$allrecords['ip']."' target='_blank'>".$allrecords['ip']."</a></TD>
		<TD><a href='".$allrecords['page']."'>".$allrecords['page']."</a></TD>
		<TD>".$allrecords['time']."</TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&viewip=".$allrecords['ip']."'>
		<img src='".INFUSIONS."guest_tracking_panel/images/search_ip.png' alt='Search for this IP' title='Search for this IP'>
		</a></TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&delrecord=".$allrecords['ip']."&type=ip'>
		<img src='".INFUSIONS."guest_tracking_panel/images/delete_ip.png' alt='Delete all from this IP' title='Delete all from this IP'>
		</a></TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&delrecord=".$allrecords['id']."&type=id'>
		<img src='".INFUSIONS."guest_tracking_panel/images/delete.png' alt='Delete only this record' title='Delete only this record'>
		</a></TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&ban=".$allrecords['ip']."'>
		Ban
		</a></TD>";
		$col_count++;

		if ($col_count >= $num_cols){
			echo "</tr>";
			$col_count=0;
			$row_count++;
		}
		
		if ($row_count >= $num_rows){
			$row_count=0;		
		}	
	}
	echo "</TABLE>";
}

if (isset($_GET['allfrom'])){
	$allrecords_result = dbquery("SELECT * FROM ".GTP_GUESTS." WHERE time >= NOW() - INTERVAL ".$_GET['allfrom']." DAY ORDER BY id ASC");
	$num_cols = "1";
	$col_count = "0";
	$num_rows = "2";
	$row_count = "0";
if ($_GET['allfrom'] == "1"){
$title = $locale['gtp_0018'].$locale['gtp_0019'];
} else {
$title = $locale['gtp_0018'].$_GET['allfrom'].$locale['gtp_0020'];
}
echo "<table width='100%' border='0' cellpadding='2' cellspacing='2'>
<TR><TD colspan='7'><CENTER>".$title."</CENTER></TD></TR>";
	while ($allrecords = dbarray($allrecords_result)){
		if ($col_count==0) { echo "<tr "; 
		if ($row_count==0) { echo "class='tbl1'>"; }
		if ($row_count==1) { echo "class='tbl2'>"; }
		}
		$uname_result = dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_ip = '".$allrecords['ip']."'");
		$uname = dbarray($uname_result);
		if ($uname['user_name'] == ""){
		$uname['user_name'] = "Guest";
		}
		echo "<TD>".$uname['user_name']."</TD>
		<TD><a href='https://projecthoneypot.org/ip_".$allrecords['ip']."'>".$allrecords['ip']."</a></TD>
		<TD><a href='".$allrecords['page']."'>".$allrecords['page']."</a></TD>
		<TD>".$allrecords['time']."</TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&viewip=".$allrecords['ip']."'>
		<img src='".INFUSIONS."guest_tracking_panel/images/search_ip.png' alt='Search for this IP' title='Search for this IP'>
		</a></TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&delrecord=".$allrecords['ip']."&type=ip'>
		<img src='".INFUSIONS."guest_tracking_panel/images/delete_ip.png' alt='Delete all from this IP' title='Delete all from this IP'>
		</a></TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&delrecord=".$allrecords['id']."&type=id'>
		<img src='".INFUSIONS."guest_tracking_panel/images/delete.png' alt='Delete only this record' title='Delete only this record'>
		</a></TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&ban=".$allrecords['ip']."'>
		Ban
		</a></TD>";
		$col_count++;

		if ($col_count >= $num_cols){
			echo "</tr>";
			$col_count=0;
			$row_count++;
		}
		
		if ($row_count >= $num_rows){
			$row_count=0;		
		}	
	}
	echo "</TABLE>";
}
		
if (isset($_GET['searchip'])){
	if (!isset($_POST['search'])){
	
		echo "<TR><TD><CENTER>
			<form name='search' method='post' action='".FUSION_SELF.$aidlink."&searchip'>
			<input type='text' name='search' id='search'>
			<input type='submit' class='button' id='search_ip' name='search_ip' value='Submit'>
			</form></CENTER></TD></TR>
		";
	}
if (isset($_POST['search'])){
	  //stripinput added by Fangree_Craig
      redirect(FUSION_SELF.$aidlink."&viewip=".stripinput($_POST['search']));
   }
	
	
}
	
if (isset($_GET['viewip'])){
	$viewip_result = dbquery("SELECT * FROM ".GTP_GUESTS." WHERE ip = '".$_GET['viewip']."'");
	$num_cols = "1";
	$col_count = "0";
	$num_rows = "2";
	$row_count = "0";
echo "<table width='100%' border='0' cellpadding='2' cellspacing='2'>
<TR><TD valign='middle' colspan='6'><CENTER>All records for ".$_GET['viewip']."&nbsp;&nbsp;<a href='".FUSION_SELF.$aidlink."&delrecord=".$_GET['viewip']."&type=ip'>
		<img src='".INFUSIONS."guest_tracking_panel/images/delete_ip.png' alt='Delete all from this IP' title='Delete all from this IP'>
		</a></CENTER></TD></TR>";
	while ($viewip = dbarray($viewip_result)){
		if ($col_count==0) { echo "<tr "; 
		if ($row_count==0) { echo "class='tbl1'>"; }
		if ($row_count==1) { echo "class='tbl2'>"; }
		}
		$uname_result = dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_ip = '".$viewip['ip']."'");
		$uname = dbarray($uname_result);
		if ($uname['user_name'] == ""){
		$uname['user_name'] = "Guest";
		}
		echo "<TD>".$uname['user_name']."</TD>
		<TD><a href='https://projecthoneypot.org/ip_".$viewip['ip']."'>".$viewip['ip']."</a></TD>
		<TD><a href='".$viewip['page']."'>".$viewip['page']."</a></TD>
		<TD>".$viewip['time']."</TD>
		<TD width='20'>
		<a href='".FUSION_SELF.$aidlink."&delrecord=".$viewip['id']."&type=id'>
		<img src='".INFUSIONS."guest_tracking_panel/images/delete.png' alt='Delete only this record' title='Delete only this record'>
		</a></TD>";
		$col_count++;

		if ($col_count >= $num_cols){
			echo "</tr>";
			$col_count=0;
			$row_count++;
		}
		
		if ($row_count >= $num_rows){
			$row_count=0;		
		}	
	}
	echo "</TABLE>";
}

if (isset($_GET['delrecord']) && isset($_GET['type'])){
	if (!isset($_POST['deletenow'])){
	echo "<TR><TD>";
		echo "<CENTER>".$locale['gtp_0023']."<BR><BR>";
		echo "
		<form name='deletenow' method='post' action='".FUSION_SELF.$aidlink."&delrecord=".$_GET['delrecord']."&type=".$_GET['type']."'>
		<input type='hidden' name='deletenow' id='deletenow' value='".$_GET['delrecord']."'>
		<input type='hidden' name='deletetype' id='deletetype' value='".$_GET['type']."'>
		<input type='submit' class='button' id='delnow_submit' name='delnow_submit' value='".$locale['gtp_0021']."'>
		</form><BR>
		<a href='".FUSION_SELF.$aidlink."' class='button'>".$locale['gtp_0022']."</a>
		</center></TD></TR>
		";
		}
if (isset($_POST['deletenow'])){
      if ($_POST['deletetype'] == "all"){
         $delrecord_result = dbquery("DELETE FROM ".GTP_GUESTS);
      } else {
	  //stripinput added by Fangree_Craig
      $delrecord_result = dbquery("DELETE FROM ".GTP_GUESTS." WHERE ".stripinput($_POST['deletetype'])." = '".stripinput($_POST['deletenow'])."'");
      }
      if (!$delrecord_result) { $error = 3; }
      else { $error = 2; }
      redirect(FUSION_SELF.$aidlink."&error=".$error);
      }
}

echo "</TD></TR>";

echo "</table>";

closetable();

// Blacklist a IP-Address (Added by PHP-Fusion Austria)
if (isset($_GET['ban']) && stripinput(trim($_GET['ban']))) {
	
	// Default Variables
	$ipAddr = stripinput(trim($_GET['ban']));
	$ipType = 0;

	// Get IP-Type
	$ipType = 0;
	if (strpos($ipAddr, ".")) {
		if (strpos($ipAddr, ":") === FALSE) {
			$ipType = 4;
		} else {
			$ipType = 5;
		}
	} else {
		$ipType = 6;
	}
	
	// Save
	dbquery("
		INSERT INTO ".DB_BLACKLIST." 
			(blacklist_ip, blacklist_ip_type, blacklist_user_id, blacklist_email, blacklist_reason, blacklist_datestamp) 
		VALUES 
			('".$ipAddr."', '".$ipType."', '".$userdata['user_id']."', '', '".$locale['gtp_1005']."', '".time()."')
	");
	
	// Redirect
	redirect(FUSION_SELF.$aidlink."&error=4");
}

		

//KEEP THIS COPYRIGHT IN-TACT IF YOU WISH TO RECIEVE SUPPORT FOR THIS ADDON
	//IF THIS COPYRIGHT IS REMOVED, YOU'LL BE REPORTED
		echo "<CENTER>Copyright &copy; 2012 <a href='https://skpacman.hopto.org'>skpacman</a></CENTER>";

require_once THEMES."templates/footer.php";
?>